Create a User

Create a new user in your organization.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Required Attributes

  • The userName attribute is required and must be a unique email.
  • The schemas attribute is required and the core user schema urn:ietf:params:scim:schemas:core:2.0:User must be included.

User Activation

When the active attribute is set to true, the user will be created with the invited status, and an invite email will be sent to the email address specified by userName.

If active is false, then the user will be created with the deactivated status, and no email will be sent.

Updating IK12 Roles

  • Informed K12 roles will only be created when the user extension schema urn:ietf:params:scim:schemas:extension:informedk12:2.0:User is included in the schemas attribute.

  • Informed K12 roles can be updated in the following ways:

    {
      "urn:ietf:params:scim:schemas:extension:informedk12:2.0:User": {
        "ik12Roles": ["form_creator"]
      }
    }
    {
      "urn:ietf:params:scim:schemas:extension:informedk12:2.0:User:ik12Roles": ["form_creator"]
    }
  • Supported ik12Roles values: form_admin, form_creator, form_publisher, user_admin

Product Nameik12Roles Value
People Adminuser_admin
Form Adminform_admin
Form Creator (Level 1)form_creator
Form Publisher (Level 2)form_publisher
Body Params
string
required

A unique identifier for the user. userName must be an email. This corresponds to the user's email in Informed K12.

boolean

A boolean value that indicates whether the user has an active or deactivated status. false corresponds to the "deactivated" status in Informed K12. All other Informed K12 user statuses map to true.

name
object
urn:ietf:params:scim:schemas:extension:informedk12:2.0:User
object

The Informed K12 user extension schema. This defines additional user properties that do not fit within the core SCIM user schema.

schemas
array of strings
required

An array of schemas that are affected by this request or included in this response. The core user schema, "urn:ietf:params:scim:schemas:core:2.0:User", must be included.

schemas*
Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/scim+json